package com.heyu.api.data.dao.system;
/**
* <p>
* 问答配置表（问答关键字匹配表，该表中未匹配到的才会调用第三方语言模型） 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.system.SystemTalkAnswerConfigEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface SystemTalkAnswerConfigDao extends BaseMapper<SystemTalkAnswerConfigEntity> {


	SystemTalkAnswerConfigEntity selectSystemTalkAnswerConfigById(@Param("id")Long id);


	Long insertSystemTalkAnswerConfig(SystemTalkAnswerConfigEntity systemTalkAnswerConfig);


	Long insertOrUpdateSystemTalkAnswerConfig(SystemTalkAnswerConfigEntity systemTalkAnswerConfig);


	int updateSystemTalkAnswerConfigById(SystemTalkAnswerConfigEntity systemTalkAnswerConfig);


	int updateCoverSystemTalkAnswerConfigById(SystemTalkAnswerConfigEntity systemTalkAnswerConfig);


	int deleteSystemTalkAnswerConfigById(@Param("id")Long id);


}